=== debian/changelog ===
mebook (0.2.1-1) unstable; urgency=low

  * Fixes issue with deleting bookmarks and annotations.

 -- Juhana Jauhiainen <juhana.jauhiainen@gmail.com>  Tue,  2 Nov 2010 04:32:57 +0200

mebook (0.2.0-1) unstable; urgency=low

  * New UI. Sorting in library. Deleting books, bookmarks and annotations.

 -- Juhana Jauhiainen <juhana.jauhiainen@gmail.com>  Wed, 13 Oct 2010 23:47:59 +0300

mebook (0.1.7-2) unstable; urgency=low

  * Updated toolbar icons.

 -- Juhana Jauhiainen <juhana.jauhiainen@gmail.com>  Tue, 24 Aug 2010 15:52:43 +0300
